%global momorel 3

%global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Name: gnome-dvb-daemon
Summary: The GNOME Control Center
Version: 0.1.20
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/Multimedia
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.1/%{name}-%{version}.tar.bz2
NoSource: 0

URL: http://live.gnome.org/DVBDaemon
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: gstreamer
Requires: python

BuildRequires: intltool
BuildRequires: pkgconfig

BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: gstreamer-plugins-bad-devel
BuildRequires: glib2-devel
BuildRequires: dbus-glib-devel
BuildRequires: libgee-devel
BuildRequires: sqlite-devel
BuildRequires: gstreamer-rtsp-devel
BuildRequires: libgudev1-devel
BuildRequires: dbus-devel
BuildRequires: vala-devel

Requires(pre): hicolor-icon-theme gtk2

%description
GNOME DVB Daemon is a daemon written in Vala based on GStreamer to setup your DVB devices, record and watch TV shows and browse EPG. It can be controlled by any application via its D-Bus interface.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure \
    --enable-silent-rules \
    --enable-static=no \
    --enable-totem-plugin
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gnome-dvb-control
%{_bindir}/gnome-dvb-daemon
%{_bindir}/gnome-dvb-setup
%{_datadir}/applications/gnome-dvb-control.desktop
%{_datadir}/applications/gnome-dvb-setup.desktop
%{_datadir}/dbus-1/services/org.gnome.DVB.service
%{_datadir}/dbus-1/services/org.gnome.UPnP.MediaServer1.DVBDaemon.service
%{_datadir}/icons/hicolor/*/*/*

# python
%{python_sitelib}/gnomedvb

# totem
%{_libdir}/totem/plugins/dvb-daemon

%files devel
%defattr(-, root, root)

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.20-3m)
- full rebuild for mo7 release

* Thu Jul 22 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.20-2m)
- add BuildRequires

* Thu Jul 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.20-1m)
- initial build
